=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# This is mandatory; see po-debconf(7).
override_dh_clean:
	debconf-updatepo --msgid-bugs-address="quidame@poivron.org"
	dh_clean

# bilibop rules must be triggered after 60-persistent-storage*.rules.
override_dh_installudev:
	dh_installudev --noscripts --priority=66 --name=bilibop

# We need to manage some debconf stuff ourselves in the postrm script.
override_dh_installdebconf:
	dh_installdebconf --noscripts

# Include the same text at the beginning of the extended description of
# each package, and the same requirement at the end.
override_dh_gencontrol:
	dh_gencontrol -- -Tdebian/substvars
