## bilibop 0.4.21~bpo70+1

=== debian/changelog ===
bilibop (0.4.21~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Revert commit 1a504a0e9489e0dfee149798843312ef39cc8dba (2013-09-17).
    Reintroduce the trailing ${Newline} in the "Description" variable in
    debian/substvars, due to the fact that the dpkg-dev version used to build
    the bpo is still affected by #659814 (fixed in 1.17.0). This makes the
    extended descriptions of the binary packages more pretty.

 -- Yann Amar <quidame@poivron.org>  Mon, 24 Mar 2014 15:26:51 +0000

bilibop (0.4.21) unstable; urgency=low

  * bilibop-common: in find_mountpoint(), replace the two piped sed commands
    by only one.
  * bilibop-rules: add translations for the debconf templates:
    + spanish: thanks to Camaleón <noelamac@gmail.com>. Closes: #733867.
    + german: thanks to Chris Leick <c.leick@volbio.de>. Closes: #738781.
  * Modify debian/bilibop-rules.post*: in sed commands, replace the
    undocumented -E option by the standard -r option.
  * Remove debian/source.lintian-overrides (newer-standards-version 3.9.5):
    after new lintian release (2.5.20), this file is no more needed. This
    reverts commit e32bff8f93a9175900a5c80516e18788abc8704e (2013-11-24).

 -- Yann Amar <quidame@poivron.org>  Wed, 12 Feb 2014 22:29:05 +0000
