=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Package: bilibop-common
 Architecture: linux-any
 Depends: udev, ${misc:Depends}
-Suggests: aufs-tools, bilibop-lockfs, bilibop-device-policy, cryptsetup, dmsetup, lvm2
+Suggests: bilibop-lockfs, bilibop-device-policy, cryptsetup, dmsetup, lvm2
 Description: shell functions for bilibop scripts
  ${Description}
  .
@@ -42,7 +42,7 @@
 Architecture: linux-any
 Depends: bilibop-common (= ${binary:Version}), initramfs-tools, initscripts (>= 2.88dsf-13.3), ${misc:Depends}
 Recommends: cryptsetup
-Suggests: aufs-tools, bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
+Suggests: bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
 Description: lock filesystems and write changes into RAM
  ${Description}
  .
@@ -78,10 +78,11 @@
  ${Requirement}
 
 Package: bilibop-rules
+Priority: extra
 Architecture: linux-any
 Depends: bilibop-common (= ${binary:Version}), initramfs-tools, initscripts (>= 2.88dsf-13.3), ${misc:Depends}
-Recommends: grub-common, lvm2, udisks | udisks2
-Suggests: bilibop-lockfs, cryptsetup, grub-coreboot | grub-efi-amd64 | grub-efi-ia32 | grub-ieee1275 | grub-pc, pmount, policykit-1
+Recommends: lvm2
+Suggests: bilibop-lockfs, cryptsetup, policykit-1, udisks2
 Conflicts: bilibop-udev
 Provides: bilibop-device-policy
 Description: device management rules for OS running from external media
@@ -91,10 +92,10 @@
  the running system. Its main goal is to forbid low-level write access on this
  drive and its partitions by any unprivileged user or application, but some
  other convenient and optional rules have been added for desktop-level
- management of the system disk and partitions (need udisks), as well as the
- internal disks of the computer. The 'lsbilibop' command allows the admin to
- update udev properties of the devices after the configuration file has been
- modified.
+ management (in desktop environments based on udisks2) of the system disk and
+ partitions, as well as the internal disks of the computer. The 'lsbilibop'
+ command allows the admin to update udev properties of the devices after the
+ configuration file has been modified.
  .
  To ease device management, bilibop-rules also provides helper scripts to:
   * build custom bilibop udev rules running faster than the generic ones
@@ -112,7 +113,6 @@
 Architecture: linux-any
 Depends: bilibop-common (= ${binary:Version}), ${misc:Depends}
 Suggests: bilibop-lockfs
-Conflicts: bilibop-rules
 Provides: bilibop-device-policy
 Description: minimal udev rule for Debian GNU/Linux running from external media
  ${Description}
@@ -122,8 +122,9 @@
  drive and its partitions by any unprivileged user or application.
  .
  This package is not designed to be used on internal disks. It works only
- for OS installed on removable and writable media, especially LiveUSB systems.
- See also the bilibop-rules package.
+ for OS installed on removable and writable media, especially LiveUSB systems
+ and disk images provided by most vendors of popular ARM-based development
+ boards. See also the bilibop-rules package.
  .
  ${Requirement}
