## bilibop 0.5.1

=== debian/changelog ===
bilibop (0.5.1) unstable; urgency=low

  * bilibop-common: update bilibop_common_functions(); fix typo in bilibop(7)
    manpage.
  * bilibop-rules: add danish translation for the debconf templates; thanks to
    Joe Dalton <joedalton2@yahoo.dk> (closes: #800456).
  * bilibop-lockfs: modify lockfs_mount_helper: rename some variables to be
    less confusing.
  * debian/control
    - Drop depedency on initscripts package. Closes: #804985, #804986
    - Update Vcs-Git field and fix a typo
  * debian/changelog: fix typos (lintian warnings) in 0.5.0 entry

 -- Yann Amar <quidame@poivron.org>  Fri, 12 Feb 2016 06:04:44 +0000
