=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 3.9.6
 Homepage: https://un.poivron.org/~quidame/wiki/bilibop
-Vcs-Git: http://poivron.org/~quidame/git/bilibop.git
+Vcs-Git: https://un.poivron.org/~quidame/git/bilibop.git
 
 Package: bilibop
 Section: metapackages
@@ -40,7 +40,7 @@
 
 Package: bilibop-lockfs
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), initramfs-tools, initscripts (>= 2.88dsf-13.3), ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), initramfs-tools, ${misc:Depends}
 Recommends: cryptsetup
 Suggests: bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
 Description: lock filesystems and write changes into RAM
@@ -66,7 +66,7 @@
     forbids changes of the partition table, boot sectors, LUKS headers and
     LVM metadata.
   * plymouth messages to know at boot time if bilibop-lockfs is enabled or
-    not, or if an error occured.
+    not, or if an error occurred.
   * desktop notifications at startup about filesystems status, to inform the
     user that volatile or persistent changes are allowed or not, and where.
  .
@@ -80,7 +80,7 @@
 Package: bilibop-rules
 Priority: extra
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), initramfs-tools, initscripts (>= 2.88dsf-13.3), ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), initramfs-tools, ${misc:Depends}
 Recommends: lvm2
 Suggests: bilibop-lockfs, cryptsetup, policykit-1, udisks2
 Conflicts: bilibop-udev
