## bilibop 0.5.2.1

=== debian/changelog ===
bilibop (0.5.2.1) unstable; urgency=high

  * bilibop-common:
    - modify underlying_device_from_aufs() to support multiple read-only
      branches. Closes: #861685.

 -- Yann Amar <quidame@poivron.org>  Thu, 18 May 2017 15:20:24 +0000
