## bilibop 0.5.4

=== debian/changelog ===
bilibop (0.5.4) unstable; urgency=high

  * bilibop-common: remove "udev compatibility stuff" (no more needed).
    Closes: #852592.
  * debian/control:
    - bump Standards-Version to 4.1.0, and modify Format: field in
      debian/copyright accordingly (use https:// URL); also remove
      extra priority (deprecated)
    - add aufs-dkms in the list of packages suggested by bilibop-lockfs
  * debian/*.triggers: replace 'activate' by more explicit 'activate-await'
    variant (caught by lintian).
  * Update copyright dates

 -- Yann Amar <quidame@poivron.org>  Sat, 09 Sep 2017 08:22:54 +0000
