=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Yann Amar <quidame@poivron.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://un.poivron.org/~quidame/wiki/bilibop
 Vcs-Git: https://un.poivron.org/~quidame/git/bilibop.git
 
 Package: bilibop
 Section: metapackages
-Priority: extra
 Architecture: linux-any
 Depends: bilibop-lockfs (= ${binary:Version}), bilibop-rules (= ${binary:Version}), ${misc:Depends}
 Description: run Debian GNU/Linux from external media - metapackage
@@ -42,7 +41,7 @@
 Architecture: linux-any
 Depends: bilibop-common (= ${binary:Version}), initramfs-tools, ${misc:Depends}
 Recommends: cryptsetup
-Suggests: bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
+Suggests: aufs-dkms, bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
 Description: lock filesystems and write changes into RAM
  ${Description}
  .
@@ -78,7 +77,6 @@
  ${Requirement}
 
 Package: bilibop-rules
-Priority: extra
 Architecture: linux-any
 Depends: bilibop-common (= ${binary:Version}), initramfs-tools, ${misc:Depends}
 Recommends: lvm2
