=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Yann Amar <quidame@poivron.org>
-Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 12), po-debconf
+Standards-Version: 4.3.0
 Homepage: https://un.poivron.org/~quidame/wiki/bilibop
 Vcs-Git: https://un.poivron.org/~quidame/git/bilibop.git
 
@@ -39,7 +39,7 @@
 
 Package: bilibop-lockfs
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), initramfs-tools, ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), initramfs-tools, udev, ${misc:Depends}
 Recommends: cryptsetup
 Suggests: aufs-dkms, bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
 Description: lock filesystems and write changes into RAM
@@ -78,7 +78,7 @@
 
 Package: bilibop-rules
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), initramfs-tools, ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), initramfs-tools, udev, ${misc:Depends}
 Recommends: lvm2
 Suggests: bilibop-lockfs, cryptsetup, policykit-1, udisks2
 Conflicts: bilibop-udev
@@ -109,7 +109,7 @@
 
 Package: bilibop-udev
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), udev, ${misc:Depends}
 Suggests: bilibop-lockfs
 Provides: bilibop-device-policy
 Description: minimal udev rule for Debian GNU/Linux running from external media
@@ -125,4 +125,3 @@
  boards. See also the bilibop-rules package.
  .
  ${Requirement}
-
