=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 %:
 	dh $@
@@ -22,4 +22,8 @@
 # Include the same text at the beginning of the extended description of
 # each package, and the same requirement at the end.
 override_dh_gencontrol:
-	dh_gencontrol -- -Tdebian/substvars
+	dh_gencontrol -u-Tdebian/substvars
+
+# The provided hooks aren't lintian-clean (use absolute path of the command).
+override_dh_installinitramfs:
+	dh_installinitramfs --noscripts
