## bilibop 0.5.6+nmu1

=== debian/changelog ===
bilibop (0.5.6+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:33:18 +0800
