=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Yann Amar <quidame@poivron.org>
-Build-Depends: debhelper (>= 12), po-debconf
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), po-debconf
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://un.poivron.org/~quidame/wiki/bilibop
 Vcs-Git: https://un.poivron.org/~quidame/git/bilibop.git
 
@@ -17,13 +18,11 @@
  The installation of this metapackage will install other BILIBOP packages
  as dependencies. You should not install it, unless your system is writable
  and runs from an external device.
- .
- ${Requirement}
 
 Package: bilibop-common
 Architecture: linux-any
-Depends: udev, ${misc:Depends}
-Suggests: bilibop-lockfs, bilibop-device-policy, cryptsetup, dmsetup, lvm2
+Depends: udev (>= 242-6), ${misc:Depends}
+Suggests: bilibop-lockfs, bilibop-device-policy, cryptsetup, dmsetup, lvm2 (>= 2.02.98)
 Description: shell functions for bilibop scripts
  ${Description}
  .
@@ -34,12 +33,10 @@
  application. Dm-crypt, LVM, loop devices, aufs and overlay root filesystems
  (and almost any combination of them) are supported. A 'drivemap' command is
  also provided, to show block devices in a tree of dependencies.
- .
- ${Requirement}
 
 Package: bilibop-lockfs
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), initramfs-tools, udev, ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), initramfs-tools, udev (>= 242-6), ${misc:Depends}
 Recommends: cryptsetup
 Suggests: aufs-dkms, bilibop-device-policy, gnome-icon-theme, libnotify-bin, plymouth
 Description: lock filesystems and write changes into RAM
@@ -73,13 +70,11 @@
  especially for writable operating systems embedded on a USB stick; but it
  may also be installed on public or personal computers, for daily use,
  kiosks, testing purposes, or as a tool in anti-forensics strategies.
- .
- ${Requirement}
 
 Package: bilibop-rules
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), initramfs-tools, udev, ${misc:Depends}
-Recommends: lvm2
+Depends: bilibop-common (= ${binary:Version}), udev (>= 242-6), ${misc:Depends}
+Recommends: initramfs-tools, lvm2 (>= 2.02.98)
 Suggests: bilibop-lockfs, cryptsetup, policykit-1, udisks2
 Conflicts: bilibop-udev
 Provides: bilibop-device-policy
@@ -97,19 +92,15 @@
  .
  To ease device management, bilibop-rules also provides helper scripts to:
   * build custom bilibop udev rules running faster than the generic ones
-  * make some persistent and cumulative udev rules files unpersistent
-  * use either a fake or an always-up-to-date grub device map
   * filter Physical Volumes, to activate only those needed by the system
  .
  This package is not designed to be used on internal disks. It works only
- for OS installed on removable and writable media, including LiveUSB systems.
- See also the bilibop-udev package.
- .
- ${Requirement}
+ for OS installed on removable and writable media, including LiveUSB as well
+ as native systems. See also the bilibop-udev package.
 
 Package: bilibop-udev
 Architecture: linux-any
-Depends: bilibop-common (= ${binary:Version}), udev, ${misc:Depends}
+Depends: bilibop-common (= ${binary:Version}), udev (>= 242-6), ${misc:Depends}
 Suggests: bilibop-lockfs
 Provides: bilibop-device-policy
 Description: minimal udev rule for Debian GNU/Linux running from external media
@@ -123,5 +114,3 @@
  for OS installed on removable and writable media, especially LiveUSB systems
  and disk images provided by most vendors of popular ARM-based development
  boards. See also the bilibop-rules package.
- .
- ${Requirement}
