=== debian/tests/control ===
Test-Command: /usr/lib/bilibop/disk
Depends: bilibop-common
