## bilibop 0.6.3

=== debian/changelog ===
bilibop (0.6.3) unstable; urgency=high

  * Fix missing support for aufs in autopkgtest test (lockfs).
    Closes: #969606

  * Move executable files from /usr/lib/bilibop to /usr/libexec/bilibop
    according to FHS 3.0, Debian Policy and lintian (pedantic).

  * Update translations for debconf
    - nl: thanks to Frans Spiesschaert. Closes: #955504
    - de: thanks to Chris Leick. Closes: #956344
    - es: thanks to Camaleón. Closes: #958870
    - pt: thanks to Américo Monteiro. Closes: #962411

  * debian/control:
    - Bump debhelper-compat version to 13.
    - Bump Standards-Version to 4.5.1: no changes needed.
  * debian/substvars: move to debian/description to avoid lintian warning
    (source-contains-debian-substvars).
  * debian/rules: update dh_gencontrol override accordingly (+fix syntax).
  * debian/copyright: update GPL license URL to https.

 -- Yann Amar <quidame@poivron.org>  Sat, 23 Jan 2021 11:23:33 +0000

bilibop (0.6.1) unstable; urgency=low

  * debian/tests
    - Fix existing test: restrict to qemu backend.
    - Test root filesystem locking/unlocking, with reboots between.

 -- Yann Amar <quidame@poivron.org>  Thu, 05 Mar 2020 20:21:54 +0000
