## bilibop 0.6.3+nmu1

=== debian/changelog ===
bilibop (0.6.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Non-maintainer upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/po/it_BR.po: updated (Closes: #1002939).
  * debian/po/pt_BR.po: updated (Closes: #983396).
  * debian/po/sv.po: updated (Closes: #995691).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 14 Mar 2025 12:21:58 -0300
