=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Yann Amar <quidame@poivron.org>
 Build-Depends: debhelper-compat (= 13), po-debconf
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://un.poivron.org/~quidame/wiki/bilibop
 Vcs-Git: https://un.poivron.org/~quidame/git/bilibop.git
